## mecab 0.78

=== swig/Makefile ===
SWIG = swig
PREFIX = MeCab

all: perl ruby python java

clean:
	rm -f      *.pm *.cxx *.py
	
perl:	
	$(SWIG) -perl -shadow -c++ $(PREFIX).i
	mv -f $(PREFIX)_wrap.cxx ../perl
	mv -f $(PREFIX).pm ../perl

ruby:	
	$(SWIG) -ruby -c++ $(PREFIX).i
	mv -f $(PREFIX)_wrap.cxx ../ruby/$(PREFIX)_wrap.cpp
	
python:	
	$(SWIG) -python -shadow -c++ $(PREFIX).i
	mv -f $(PREFIX)_wrap.cxx ../python
	mv -f $(PREFIX).py ../python

java:
	$(SWIG) -java -package jp.ac.aist_nara.cl.mecab -c++ $(PREFIX).i
	mkdir -p ../java/jp/ac/aist_nara/cl/mecab
	mv -f $(PREFIX)_wrap.cxx ../java
	rm -fr exception.java SWIGTYPE_*.java
	mv -f *.java ../java/jp/ac/aist_nara/cl/mecab

## mecab 0.80

=== swig/Makefile ===
--- 
+++ 
@@ -24,7 +24,7 @@
 	$(SWIG) -java -package jp.ac.aist_nara.cl.mecab -c++ $(PREFIX).i
 	mkdir -p ../java/jp/ac/aist_nara/cl/mecab
 	mv -f $(PREFIX)_wrap.cxx ../java
-	rm -fr exception.java SWIGTYPE_*.java
+#	rm -fr exception.java SWIGTYPE_*.java
 	mv -f *.java ../java/jp/ac/aist_nara/cl/mecab

## mecab 0.996

=== debian/changelog ===
mecab (0.996-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Don't disable PIE, to make static libraries usable with
    gcc defaulting to PIE. (Closes: #859425)

 -- Adrian Bunk <bunk@debian.org>  Mon, 10 Apr 2017 21:55:12 +0300

mecab (0.996-3) unstable; urgency=medium

  * use debhelper 10 
  * debian/control
    - add autotools-dev to fix "outdated-autotools-helper-file" lintian
      warning

 -- Hideki Yamane <henrich@debian.org>  Mon, 10 Oct 2016 02:52:05 +0900

mecab (0.996-2) experimental; urgency=medium

  * debian/rules
    - move from cdbs to dh
    - enable parallel build
    - add hardening
  * debianc/control
    - set maintainer as <pkg-nlp-ja-devel@lists.alioth.debian.org> and update
      uploaders
    - drop some unnecessary Build-Dependencies
    - make it Multi-Arch
    - set Standards-Version: 3.9.8
    - update Vcs-* to move pkg-nlp-ja
  * debian/compat
    - set 9
  * debian/*.install
    - enable Multi-Arch
  * remove unnecessary debian/README.source
  * remove unnecessary debian/mecab.dirs
  * add debian/gbp.conf, set compression=gz
  * debian/patches
    - add 0006-fix-typo.patch

 -- Hideki Yamane <henrich@debian.org>  Sun, 03 Apr 2016 07:57:51 +0900

mecab (0.996-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules
    - remove DEB_AUTO_UPDATE_* line to fix FTBFS (Closes: #818535)
      Thanks to Norbert Preining <norbert@preining.info>

 -- Hideki Yamane <henrich@debian.org>  Mon, 28 Mar 2016 06:33:51 +0900

mecab (0.996-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * update debian/control and remove debian/watch
    since upstream site code.google.com is closed and it moved to github.
  * debian/copyright
    - use copyright format 1.0

 -- Hideki Yamane <henrich@debian.org>  Sat, 28 Nov 2015 09:56:15 +0900

mecab (0.996-1.1) unstable; urgency=medium

  [ Hideki Yamane ]
  * Non-maintainer upload.
  * debian/rules
    - use dh-autoreconf to fix FTBFS (Closes: #725580)
    - remove "include /usr/share/cdbs/1/rules/patchsys-quilt.mk", use source
      format 3.0 instead
  * debian/control
    - add "Build-Depends: dh-autoreconf" as above
    - remove "Build-Depends: quilt", use source format 3.0 instead
  * add debian/source/format
  * debian/patches
    - add remove-urchin.patch to fix "privacy-breach-google-adsense" lintian
      error. It's Debian package specific because upstream uses it for its
      website.

 -- Hideki Yamane <henrich@debian.org>  Thu, 17 Oct 2013 10:35:20 +0900

mecab (0.996-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.4.
  * Change VCS from Subversion to Git.

 -- Taku YASUI <tach@debian.org>  Mon, 12 Aug 2013 22:08:21 +0900

mecab (0.994-1) unstable; urgency=low

  * New upstream release
  * Update versioning policy, same as upstream

 -- Taku YASUI <tach@debian.org>  Mon, 12 Aug 2013 22:08:01 +0900

mecab (0.99.3-3) unstable; urgency=low

  * Add Breaks: libmecab1 (closes: #666166)

 -- Taku YASUI <tach@debian.org>  Sat, 21 Apr 2012 22:41:51 +0900

mecab (0.99.3-2) unstable; urgency=low

  * Add libmecab1 to Conflicts: of libmecab2 (closes: #666144)
    - /etc/mecabrc conflicts

 -- Taku YASUI <tach@debian.org>  Sat, 31 Mar 2012 00:30:47 +0900

mecab (0.99.3-1) unstable; urgency=low

  * New upstream release
    - The upstream version is 0.993 but 0.99.3 for Debian
  * Change package structure from tarball to extracted
  * Use quilt instead of simple-patchsys
  * Bump Standards-Version 3.9.3
  * Change Homepage URL to http://code.google.com/p/mecab/
  * Use dh_install instead of dh_movefiles

 -- Taku YASUI <tach@debian.org>  Thu, 29 Mar 2012 01:21:18 +0900

mecab (0.98-2) unstable; urgency=low

  * Add debian/watch file for uscan

 -- Taku YASUI <tach@debian.org>  Sun, 10 Jul 2011 19:21:42 +0900

mecab (0.98-1) unstable; urgency=low

  * New upstream release

 -- Taku YASUI <tach@debian.org>  Sun, 10 Jul 2011 19:00:14 +0900

mecab (0.97-2) unstable; urgency=low

  * Add Taku YASUI <tach@debian.org> to Uploaders
  * Make using the latest automake and autoconf (closes: #549145, #628347)
  * Add ${misc:Depends} to Depends line of each packages
  * Change build depending debhelper version to >= 7.0.0 (for lenny rebuilding)
  * Remove needless .la file (closes: #622460)
  * Bump Standards-Version to 3.9.2
  * Add copyright notice and BSD License phrases
  * Fix manpage whatis entry
    - debian/patches/090_man_whatis_entry.diff
  * Add Vcs-* and Homepage tag to debian/control

 -- Taku YASUI <tach@debian.org>  Sun, 10 Jul 2011 15:47:53 +0900

mecab (0.97-1) unstable; urgency=low

  * New upstream.

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Thu, 03 Jul 2008 23:00:00 +0900

mecab (0.96-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add '90_gcc-4.3_support.diff' to fix FTBFS with GCC 4.3 (Closes: #461727)
  * debian/control:
    - Bump Standards-Version to 3.7.3.
    - Use ${binary:Version} instead of ${Source-Version}.

 -- Chris Lamb <chris@chris-lamb.co.uk>  Thu, 24 Apr 2008 18:15:55 +0100

mecab (0.96-1) unstable; urgency=low

  * New upstream.

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Sat, 15 Sep 2007 18:32:35 +0900

mecab (0.95-1.1) unstable; urgency=high

  * Non-maintainer upload for testing security team.
  * Included 040_fix_CVE-2007-3231.patch to fix
    CVE-2007-3231 (Closes: #429174).

 -- Nico Golde <nion@debian.org>  Thu, 16 Aug 2007 02:11:16 +0200

mecab (0.95-1) unstable; urgency=low

  * New upstream.
  * Rebuild dictionaries if they exist.

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Sun, 25 Mar 2007 18:39:52 +0900

mecab (0.93-1) unstable; urgency=low

  * New upstream. (closes: #379646)
  * Do not use bash-specifc syntax in debian/rules. (closes: #378306)

 -- TSUCHIYA Masatoshi <tsuchiya@namazu.org>  Sat, 07 Oct 2006 17:34:18 +0900

mecab (0.80-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * libstdc++ allocator transition: renamed libmecab0c2 into libmecab0c2a
    (closes: bug#339230).


=== debian/control ===
Source: mecab
Section: misc
Priority: optional
Maintainer: Natural Language Processing, Japanese <pkg-nlp-ja-devel@lists.alioth.debian.org>
Build-Depends: debhelper (>= 10),
               autotools-dev,
Uploaders: Taku YASUI <tach@debian.org>,
           TSUCHIYA Masatoshi <tsuchiya@namazu.org>,
           Hideki Yamane <henrich@debian.org>,
Vcs-Git: https://anonscm.debian.org/git/pkg-nlp-ja/mecab.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-nlp-ja/mecab.git/
Homepage: http://taku910.github.io/mecab/
Standards-Version: 3.9.8

Package: mecab
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mecab-jumandic|mecab-ipadic
Description: Japanese morphological analysis system
 Mecab is a morphological analysis system.  It reads Japanese
 sentences from the standard input, segments them into morpheme
 sequences, and outputs them to the standard output with many
 additional pieces of information (pronunciation, semantic
 information, etc).

Package: mecab-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Support programs of Mecab
 This package provides the dictionary compiler to convert a dictionary
 written in text format to a binary data for Mecab, that is a Japanese
 morphological analysis system.  This package is necessary to install
 dictionary packages for Mecab like mecab-jumandic.

Package: libmecab2
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libmecab1
Replaces: libmecab1
Breaks: libmecab1
Description: Libraries of Mecab
 This package provides runtime libraries of Mecab, that is a Japanese
 morphological analysis system.

Package: libmecab-dev
Section: libdevel
Architecture: any
Depends: libmecab2 (= ${binary:Version}), ${misc:Depends}
Description: Header files of Mecab
 This package provides header files which are necessary to development
 programs using runtime libraries of Mecab, that is a Japanese
 morphological analysis system.

=== debian/rules ===
#!/usr/bin/make -f
# -*- Makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --with-perl5=/usr/bin/perl --libexecdir=/usr/lib/

## mecab python3-1.0.10

=== debian/control ===
Source: python-mecab
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>
Build-Depends: debhelper-compat (= 11), dh-python,
  python-all-dev, python3-all-dev,
  python-setuptools, python3-setuptools,
  libmecab-dev (>= 0.99.3), swig
Standards-Version: 4.2.1
Rules-Requires-Root: no
Homepage: https://taku910.github.io/mecab/
Vcs-Git: https://salsa.debian.org/python-team/modules/python-mecab.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-mecab

Package: python-mecab
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Recommends: mecab-jumandic | mecab-ipadic
Description: mecab bindings for Python 2
 Mecab is a morphological analysis system.  It reads Japanese
 sentences from the standard input, segments them into morpheme
 sequences, and outputs them to the standard output with many
 additional pieces of information (pronunciation, semantic
 information, etc).
 .
 This package provides the bindings for Python 2.

Package: python3-mecab
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
Recommends: mecab-jumandic | mecab-ipadic
Description: mecab bindings for Python 3
 Mecab is a morphological analysis system.  It reads Japanese
 sentences from the standard input, segments them into morpheme
 sequences, and outputs them to the standard output with many
 additional pieces of information (pronunciation, semantic
 information, etc).
 .
 This package provides the bindings for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = mecab
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/watch ===
# The immediate upstream for this software is the PyPI package "mecab-python3".
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/mecab-python3/mecab-python3-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
